summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorAndras Timar <andras.timar@collabora.com>2019-10-01 10:35:38 +0200
committerAndras Timar <andras.timar@collabora.com>2019-10-08 09:36:44 +0200
commitdb176ee45baae93ab4411c23d32ae1d0f608352b (patch)
tree8ad3dd05bbbde1b87fe4b48d5959a9c9e26c135c /docker
parentloleaflet: updated Spanish translation (diff)
downloadonline-db176ee45baae93ab4411c23d32ae1d0f608352b.tar.gz
online-db176ee45baae93ab4411c23d32ae1d0f608352b.zip
Remove lo_template_path option
It was not very useful to let this setting configurable by the user. On the other hand, old path in config file caused issues after upgrade. It is better to decide the location of LOKit core during compilation. From now on the --with-lo-path configure option is compulsory. Change-Id: Icdcbc21bde5dad329fdb6e30ed17efde6b0e73de Reviewed-on: https://gerrit.libreoffice.org/79943 Reviewed-by: Ashod Nakashian <ashnakash@gmail.com> Tested-by: Andras Timar <andras.timar@collabora.com>
Diffstat (limited to 'docker')
-rwxr-xr-xdocker/l10n-docker-nightly.sh2
-rwxr-xr-xdocker/scripts/run-lool.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 85fc4d38ba..1015b24f6f 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -81,7 +81,7 @@ cp -a libreoffice/instdir "$INSTDIR"/opt/libreoffice
# build
( cd online && ./autogen.sh ) || exit 1
-( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path="$INSTDIR"/opt/libreoffice $ONLINE_EXTRA_BUILD_OPTIONS) || exit 1
+( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path=/opt/libreoffice $ONLINE_EXTRA_BUILD_OPTIONS) || exit 1
( cd online/loleaflet/po && ../../scripts/downloadpootle.sh )
( cd online/loleaflet && make l10n) || exit 1
( cd online && scripts/locorestrings.py "$BUILDDIR"/online "$BUILDDIR"/libreoffice/translations )
diff --git a/docker/scripts/run-lool.sh b/docker/scripts/run-lool.sh
index b76b43ee6c..227eb51165 100755
--- a/docker/scripts/run-lool.sh
+++ b/docker/scripts/run-lool.sh
@@ -43,4 +43,4 @@ perl -pi -e "s/<password (.*)>.*<\/password>/<password \1>${password}<\/password
) &
# Start loolwsd
-su -c "/usr/bin/loolwsd --version --o:sys_template_path=/opt/lool/systemplate --o:lo_template_path=/opt/libreoffice --o:child_root_path=/opt/lool/child-roots --o:file_server_root_path=/usr/share/loolwsd ${extra_params}" -s /bin/bash lool
+su -c "/usr/bin/loolwsd --version --o:sys_template_path=/opt/lool/systemplate --o:child_root_path=/opt/lool/child-roots --o:file_server_root_path=/usr/share/loolwsd ${extra_params}" -s /bin/bash lool